#! /bin/sh
# setup.sh -- Configuration news ALPHANET pour Linux Slackware 2.3.0
# Marc SCHAEFER <schaefer@alphanet.ch>
# Cration: 26/02/96
# Modification: 09/07/96
# V1.0 PV001 MSC96
# DISCLAIMER
#    No warranty, either expressed or implied
# COPYRIGHT
#    Fully protected under Berne Convention, use authorized
#    for ALPHANET NF members.
# BUGS
#    Sensitivity to / in variables because of sed.
# TODO
#    Inserer inn.start dans rc.local

cd /usr/lib/news

case `whoami` in
   root) ;;
   *) echo "Lancez ce programme sous root"
      exit;;
esac

if [ ! -d innd ]; then
   echo "ERREUR: installez d'abord INN."
fi

echo "Configuration news ALPHANET 1.0 MSC96"
echo ""
echo -n "Avez-vous lu la FAQ LINUX ALPHANET [o/N] ?: "
read Answer
case $Answer in
   o*|O*) ;;
   *)     echo ""
          echo "Et bien, faites-le."
          exit;;
esac
unset Answer

if [ -f .inn_installed ]; then
   echo ""
   echo "Configuration dj effectue."
   echo -n "Recommencer la configuration [o/N] ?: "
   read Answer
   case $Answer in
      o*|O*) mv ORIG/*.orig .
             rmdir ORIG
             rm .inn_installed hosts.nntp inn.conf newsfeeds nnrp.access;;
      *)  echo ""
          echo "Opration annule."
          exit;;
   esac
   unset Answer
fi


clear

while :
do
   echo -n "Nom de machine UUCP: "
   read ALPHANET_CONFIG_NODENAME
   case $ALPHANET_CONFIG_NODENAME in
      */*|*\.*|*,*|*:*|*!*) echo ""
                            echo "ERREUR: Mauvais caractre.";;
      *) break;;
   esac                     
done

ALPHANET_CONFIG_HOST="${ALPHANET_CONFIG_NODENAME}.alphanet.ch"

echo ""
echo "FQDN news == $ALPHANET_CONFIG_HOST"
echo ""

echo "Dcrivez votre organisation en une ligne. Si vous n'avez"
echo "pas d'imagination, tapez RETURN"
read ALPHANET_CONFIG_ORGANIZATION

if [ "$ALPHANET_CONFIG_ORGANIZATION" = "" ]; then
   ALPHANET_CONFIG_ORGANIZATION="ALPHANET NF --- private INN site"
fi

clear

echo "FQDN:                      $ALPHANET_CONFIG_HOST"
echo "Organisation:              $ALPHANET_CONFIG_ORGANIZATION"
echo ""
echo -n "Confirmation [O/n] ?: "
read Answer
case $Answer in
   n*|N*) echo ""
          echo "Relancez $0"
          exit;;
esac
unset Answer

echo ""
echo -n "Je procde  la configuration ..."

sed "s/ALPHANET_CONFIG_HOST/$ALPHANET_CONFIG_HOST/" < hosts.nntp.orig > hosts.nntp
sed "s/ALPHANET_CONFIG_HOST/$ALPHANET_CONFIG_HOST/
     s/ALPHANET_CONFIG_ORGANIZATION/$ALPHANET_CONFIG_ORGANIZATION/" < inn.conf.orig > inn.conf

cat > newsfeeds newsfeeds.orig
cat > nnrp.access nnrp.access.orig

mkdir ORIG
mv *.orig ORIG
chown news hosts.nntp inn.conf newsfeeds nnrp.access /usr/lib/news grnews
chgrp news hosts.nntp inn.conf newsfeeds nnrp.access /usr/lib/news grnews
chmod 444 hosts.nntp inn.conf newsfeeds nnrp.access
chmod 440 hosts.nntp nnrp.access
chmod 755 grnews

# new

if [ -f /bin/rnews ]; then
   cd /bin
   mv rnews rnews.disabled
fi

if [ -f /usr/bin/rnews ]; then
   cd /usr/bin
   mv rnews rnews.disabled
fi

cd /bin
ln -s /usr/lib/news/grnews rnews
cd /usr/bin
ln -s /usr/lib/news/grnews rnews

# end new

touch .inn_installed

echo " ok"
echo ""
echo "Lancez le daemon innd (voir la documentation)"

